Bug 206431 - [ml_IN] - Some GSUB is showing wrong shape in font - Priority - A
[ml_IN] - Some GSUB is showing wrong shape in font - Priority - A
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Rahul Bhalerao
: i18n
Depends On: 192810 202163 206387
Blocks: FC6Blocker 208812
  Show dependency treegraph
 
Reported: 2006-09-14 07:56 EDT by Satyabrata Maitra
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-28 00:15:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Verified Sreenshot (190.55 KB, image/png)
2007-04-28 00:13 EDT, A S Alam
no flags Details

  None (edit)
Description Satyabrata Maitra 2006-09-14 07:56:28 EDT
Description of problem: Some GSUB shape - are showing wrong. GSUB list is a bit
long, so instead of adding it here, I am adding it in the comment.


Version-Release number of selected component (if applicable):
fonts-malayalam-2.0.1-1

How reproducible:
Always

Steps to Reproduce:
1. Open gedit
2. Activate SCIM with CTRL+SPACE.
3. Select RAWCODE from the scim-table in Others
4. Type the unicode sequentially as given but without 'U' and '+'.
5. Observe the result.
  
Actual results
shapes of each GSUB not appearing properly

Expected results:
shapes of each GSUB should appear properly

Additional info:
Comment 2 Rahul Bhalerao 2006-09-26 18:34:25 EDT
GSUB issues are distributed among bug #206387, #202163, #192934. 
All of these bugs are now modified. 
Comment 3 Lawrence Lim 2006-09-28 19:51:31 EDT
Here's the list of fialures identified for Priority A.

# U+0D32 U+0D4D U+0D32  ല്ല  LA VIRAMA LA


#  U+0D15 U+0D4D U+0D32  ക്ല  KHA VIRAMA LLA
# U+0D16 U+0D4D U+0D32 ഖ്ല GA VIRAMA LLA
# U+0D17 U+0D4D U+0D32 ഗ്ല GHA VIRAMA LLA
# U+0D18 U+0D4D U+0D32 ഘ്ല NGA VIRAMA LLA
# U+0D19 U+0D4D U+0D32 ങ്ല CA VIRAMA LLA
# U+0D1A U+0D4D U+0D32 ച്ല CHA VIRAMA LLA
# U+0D1B U+0D4D U+0D32 ഛ്ല JA VIRAMA LLA
# U+0D1C U+0D4D U+0D32 ജ്ല JHA VIRAMA LLA
# U+0D1D U+0D4D U+0D32 ഝ്ല NYA VIRAMA LLA
# U+0D1E U+0D4D U+0D32 ഞ്ല TTA VIRAMA LLA
# U+0D1F U+0D4D U+0D32 ട്ല TTHA VIRAMA LLA
# U+0D20 U+0D4D U+0D32 ഠ്ല DDA VIRAMA LLA
# U+0D21 U+0D4D U+0D32 ഡ്ല DDHA VIRAMA LLA
# U+0D22 U+0D4D U+0D32 ഢ്ല NYA VIRAMA LLA
# U+0D23 U+0D4D U+0D32 ണ്ല TA VIRAMA LLA
# U+0D24 U+0D4D U+0D32 ത്ല THA VIRAMA LLA
# U+0D25 U+0D4D U+0D32 ഥ്ല DA VIRAMA LLA
# U+0D26 U+0D4D U+0D32 ദ്ല DHA VIRAMA LLA
# U+0D27 U+0D4D U+0D32 ധ്ല NA VIRAMA LLA
# U+0D28 U+0D4D U+0D32 ന്ല PA VIRAMA LLA
# U+0D2A U+0D4D U+0D32 പ്ല PHA VIRAMA LLA
# U+0D2B U+0D4D U+0D32 ഫ്ല BA VIRAMA LLA
# U+0D2C U+0D4D U+0D32 ബ്ല BHA VIRAMA LLA
# U+0D2D U+0D4D U+0D32 ഭ്ല MA VIRAMA LLA
# U+0D2E U+0D4D U+0D32 മ്ല YA VIRAMA LLA
# U+0D2F U+0D4D U+0D32 യ്ല RA VIRAMA LLA
# U+0D30 U+0D4D U+0D32 ര്ല LA VIRAMA LLA
# U+0D31 U+0D4D U+0D32 റ്ല LLA VIRAMA LLA
# U+0D35 U+0D4D U+0D32 വ്ല LLLA VIRAMA LLA
# U+0D36 U+0D4D U+0D32 ശ്ല VA VIRAMA LLA
# U+0D37 U+0D4D U+0D32 ഷ്ല SHA VIRAMA LLA
# U+0D38 U+0D4D U+0D32 സ്ല SSA VIRAMA LLA
# U+0D39 U+0D4D U+0D32 ഹ്ല SA VIRAMA LLA 


#  U+0D15 U+0D4D U+0D31  ക്റ  KA VIRAMA RRA
# U+0D16 U+0D4D U+0D31 ഖ്റ KHA VIRAMA RRA
# U+0D17 U+0D4D U+0D31 ഗ്റ GA VIRAMA RRA
# U+0D18 U+0D4D U+0D31 ഘ്റ GHA VIRAMA RRA
# U+0D1A U+0D4D U+0D31 ച്റ CA VIRAMA RRA
# U+0D1B U+0D4D U+0D31 ഛ്റ CHA VIRAMA RRA
# U+0D1C U+0D4D U+0D31 ജ്റ JA VIRAMA RRA
# U+0D1F U+0D4D U+0D31 ട്റ TTA VIRAMA RRA
# U+0D20 U+0D4D U+0D31 ഠ്റ TTHA VIRAMA RRA
# U+0D21 U+0D4D U+0D31 ഡ്റ DDA VIRAMA RRA
# U+0D22 U+0D4D U+0D31 ഢ്റ DDHA VIRAMA RRA
# U+0D24 U+0D4D U+0D31 ത്റ TA VIRAMA RRA
# U+0D25 U+0D4D U+0D31 ഥ്റ THA VIRAMA RRA
# U+0D26 U+0D4D U+0D31 ദ്റ DA VIRAMA RRA
# U+0D27 U+0D4D U+0D31 ധ്റ DHA VIRAMA RRA
# U+0D28 U+0D4D U+0D31 ന്റ NA VIRAMA RRA
# U+0D2A U+0D4D U+0D31 പ്റ PA VIRAMA RRA
# U+0D2B U+0D4D U+0D31 ഫ്റ PHA VIRAMA RRA
# U+0D2C U+0D4D U+0D31 ബ്റ BA VIRAMA RRA
# U+0D2D U+0D4D U+0D31 ഭ്റ BHA VIRAMA RRA
# U+0D2E U+0D4D U+0D31 മ്റ MA VIRAMA RRA
# U+0D32 U+0D4D U+0D31 ല്റ LA VIRAMA RRA
# U+0D35 U+0D4D U+0D31 വ്റ VA VIRAMA RRA
# U+0D36 U+0D4D U+0D31 ശ്റ SHA VIRAMA RRA
# U+0D37 U+0D4D U+0D31 ഷ്റ SSA VIRAMA RRA
# U+0D38 U+0D4D U+0D31 സ്റ SA VIRAMA RRA
# U+0D39 U+0D4D U+0D31 ഹ്റ HA VIRAMA RRA 
Comment 4 Lawrence Lim 2006-09-28 21:13:51 EDT
Tested with fonts-malayalam-2.0.4-1 (dist-FC6) and pango-1.14.4-3 (test
package), bug fix confirmed for all the failures hightlighted in #Comment 3.
Will resolve bug after the new pango package with the patches are included. Thanks.


FIXED!!!


Comment 5 Lawrence Lim 2006-09-29 03:47:42 EDT
Two font combination:

TC29: 0D33+0D4D+0D33
TC52: 0D2F+0D4D+0D2F


which were not identified earlier has failed with the following packages:

pango-1.14.4-4.testing  (test rpm)
fonts-malayalam-2.0.4-1 (dist-fc6)
Comment 6 Rahul Bhalerao 2006-10-12 07:25:40 EDT
Moved problem in comment #5 to and modified in the bug #208525 and #208540.
Comment 7 A S Alam 2007-04-28 00:13:55 EDT
Created attachment 153682 [details]
Verified Sreenshot

it is checked that issue is fixed in font,
screenshot has Gedit/Kedit both has, but kedit has rendering issue Just for
Ref:
Comment 8 A S Alam 2007-04-28 00:15:04 EDT
verified with Version:
fonts-malayalam-2.1.5-1.fc7

Note You need to log in before you can comment on or make changes to this bug.